# Summary

# Hermes (v0.11.0)

---
- [Introduction](./index.md)
    - [What is Hermes?](./relayer.md)
- [Features](./features.md)
    - [Feature matrix](./features/matrix.md)
- [Getting Started](./getting_started.md)
   - [Pre-requisites](./pre_requisites.md)
   - [Installation](./installation.md)
   - [Configuration](./config.md)
- [Telemetry](./telemetry.md)
- [REST API](./rest-api.md)
- [Tutorials](./tutorials/index.md)
   - [Local chains](./tutorials/local-chains/index.md)
     - [Install Gaia](./tutorials/local-chains/gaia.md)
     - [Start the local chains](./tutorials/local-chains/start.md)
     - [Identifiers](./tutorials/local-chains/identifiers.md)
     - [Connect the chains using relay paths](./tutorials/local-chains/relay-paths/index.md)
       - [Create a new path](./tutorials/local-chains/relay-paths/create-new-path.md)
       - [Relay packets on multiple paths](./tutorials/local-chains/relay-paths/multiple-paths.md)
     - [Connect the chains using raw transactions](./tutorials/local-chains/raw/index.md)
       - [Configure clients](./tutorials/local-chains/raw/client.md)
       - [Connection handshake](./tutorials/local-chains/raw/connection.md)
       - [Channel handshake](./tutorials/local-chains/raw/channel.md)
       - [Relay packets](./tutorials/local-chains/raw/packet.md)
- [Commands Reference](./commands/index.md)
   - [Global options and JSON output](./commands/global.md)
   - [Keys](./commands/keys/index.md)
   - [Config](./commands/config.md)
   - [Path setup](./commands/path-setup/index.md)
     - [Clients](./commands/path-setup/clients.md)
     - [Connections](./commands/path-setup/connections.md)
     - [Channels](./commands/path-setup/channels.md)
   - [Relaying](commands/relaying/index.md)
     - [Packet Messages](./commands/relaying/packets.md)
     - [Handshake Messages](commands/relaying/handshakes.md)
   - [Listen mode](./commands/listen/index.md)
   - [Client upgrade](./commands/upgrade/index.md)
     - [Testing client upgrade](./commands/upgrade/test.md)
   - [Misbehaviour](./commands/misbehaviour/index.md)
   - [Queries](./commands/queries/index.md)
     - [Client](./commands/queries/client.md)
     - [Connection](./commands/queries/connection.md)
     - [Channel](./commands/queries/channel.md)
     - [Packet](./commands/queries/packet.md)
     - [Tx](./commands/queries/tx.md)
   - [Raw transactions](./commands/raw/index.md)
     - [Client](./commands/raw/client.md)
     - [Connection](./commands/raw/connection.md)
     - [Channel Open](./commands/raw/channel-open.md)
     - [Channel Close](./commands/raw/channel-close.md)
     - [Packet](./commands/raw/packet.md)
- [Help](./help.md)
- [Glossary](./glossary.md)
---
