# Hermes Guide (v0.11.0)


Hermes is a an open-source Rust implementation of a relayer for the
[Inter-Blockchain Communication protocol](https://ibcprotocol.org) (IBC).

This guide can help you setup, configure, and operate Hermes to transfer
packets between two or more IBC-enabled chains.

## Sections

**[What is Hermes](./relayer.md)**

- Explains what Hermes is about.

**[Features](./features.md)**

- This section discusses what features to expect from Hermes, as well as a
  comparison between the Cosmos Go relayer and Hermes.

**[Getting Started](./getting_started.md)**

- The getting started section can help you setup, configure, and run Hermes.

**[Tutorials](./tutorials/index.md)**

- This section provides some tutorials on how to operate and test Hermes.

**[Commands Reference](./commands/index.md)**

- The commands let you interact with Hermes using its command line interface.

**[Help](./help.md)**

- This part provides guidelines regarding troubleshooting and general resources
  for getting help.

**[Glossary](./glossary.md)**

- This section provides some definitions of terms used throughout the guide

---

**Other References and Useful Links:**

* [Hermes Github repository](https://github.com/informalsystems/ibc-rs)
  — The official Github repository for Hermes.
* [IBC Github repository](https://github.com/cosmos/ics)
  - The official repository for the Inter-blockchain protocol (IBC).

## Disclaimer

This project is undergoing heavy development, use at your own risk.
